#!/usr/bin/env pytest
###############################################################################
# $Id: elas.py 5e4a471921bf3c0a0899bc5efe8fbd526590ea24 2020-05-10 17:50:49 +0200 Even Rouault $
#
# Project:  GDAL/OGR Test Suite
# Purpose:  Test ELAS driver
# Author:   Even Rouault, <even dot rouault at spatialys.com>
#
###############################################################################
# Copyright (c) 2009, Even Rouault <even dot rouault at spatialys.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.
###############################################################################



import gdaltest

###############################################################################
# Test a dataset generated by Create()


def test_elas_1():

    tst = gdaltest.GDALTest('ELAS', 'elas/byte_elas.bin', 1, 4672)
    return tst.testOpen()

###############################################################################
# Test Create()


def test_elas_2():

    tst = gdaltest.GDALTest('ELAS', 'elas/byte_elas.bin', 1, 4672)
    return tst.testCreate()



